package com.docus.demo.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;


@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="ScanAssort对象", description="")
public class ScanAssort {

    @ApiModelProperty(value = "id")
    @TableId(value = "name", type = IdType.INPUT)
    private Long id;

    @ApiModelProperty(value = "病案id")
    private String patientId;

    @ApiModelProperty(value = "病案分类")
    private String assortId;

    @ApiModelProperty(value = "文件标题")
    private String fileTitle;

    @ApiModelProperty(value = "taskId")
    private String taskId;

    @ApiModelProperty(value = "文件目录 单纯文件夹路径，不带文件名")
    private String imagePath;

    @ApiModelProperty(value = "文件名称")
    private String scanPage;

    @ApiModelProperty(value = "文件来源  1:pdf；2：图片")
    private Integer fileSource;

    @ApiModelProperty(value = "来源系统 1护理文书，2 电子病历，3 Pacs检查，4心电图，5手麻信息，6 Lis检验，7病案首页，8长临医嘱，100客户从平台上传，-1扫描上传软件")
    private String source;

    @ApiModelProperty(value = "1:服务器本地；2：ftp服务器；3：共享文件夹")
    private Integer fileStorageType;

    @ApiModelProperty(value = "页数")
    private Integer filePages;

    private String creater;

    private String createrName;

    private Date createTime;

    private int sort ;
}
